# AICargoList_IndustryAccepting Class Reference
[Classes that create a list of items.]

Creates a list of cargos that the given industry accepts. More...

`#include <ai_cargolist.hpp>`

Inheritance diagram for AICargoList_IndustryAccepting:

## Public Member Functions
| AICargoList_IndustryAccepting (IndustryID industry_id)
## Static Public Member Functions
static const char * | GetClassName ()

## Detailed Description

Creates a list of cargos that the given industry accepts.

Definition at line 31 of file ai_cargolist.hpp.

## Constructor & Destructor Documentation

AICargoList_IndustryAccepting::AICargoList_IndustryAccepting | ( | IndustryID | industry_id | ) |

Parameters:

  | industry_id | The industry to get the list of cargos it accepts from.

Definition at line 25 of file ai_cargolist.cpp.

References Industry::accepts_cargo, AIAbstractList::AddItem(), CT_INVALID, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem<&_industry_pool >::Get(), AIIndustry::IsValidIndustry(), and lengthof.

The documentation for this class was generated from the following files:

- src/ai/api/ai_cargolist.hpp
- src/ai/api/ai_cargolist.cpp